import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:wowit/common.dart';

class ScreenMessage extends StatelessWidget{
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Danh sách message'),
        leading: IconButton(
        icon: Icon(
          Icons.arrow_back_ios_rounded,
          color: Color(0xff2a367e),
          size: 24.0,
        ),
        onPressed: () {
          Get.back();
        },
      )
      ),
      body: ListView.separated(
        itemCount: Common.messageIdBackUp.length,
        itemBuilder: (context, index) {
          String key = Common.messageIdBackUp.keys.elementAt(index);
          return Padding(
            padding: const EdgeInsets.all(8.0),
            child: Column(children: [
              Text('Key: $key'),
              Padding(
                padding: const EdgeInsets.only(left: 10),
                child: Text('Message: ${Common.messageIdBackUp[key]}'),
              )
            ],),
          );
        },
         separatorBuilder: (context, index) => Divider(),
      ),
    );
  }

}