typedef SearchedExcecute = Future<Map<String, List<Map<String, Object>>>>
    Function(String searchedQuery, {Map<String, Object> params});

typedef SearchedDataLoader = Future<Map<String, List<Map<String, Object>>>>
    Function(SearchedExcecute searchedExcecute);

abstract class SearchedController {
  Future<Map<String, List<Map<String, Object>>>> loadSearchedData(
    SearchedExcecute searchedExcecute,
  );
}
